import Header, { HEADER_CONTEXT } from './components/header'
import Center from './components/center'
import Footer from './components/footer'

async function App() {
  const template = document.createElement('template')
  template.innerHTML = 
  `
    <div class="center-wrapper" style="height:100vh; width:100vw">${Center()}</div>
    <div class="footer-wrapper">${Footer()}</div> 
  `

  // Return a new node from template
  return template.content.cloneNode(true)
}

export default App;