import { AssignmentStore } from "@bryntum/schedulerpro";
import { URL_BASE } from "../services/apiRequestService";


export function getSkdAssignmentStore() {

    let assignmentStore = new AssignmentStore({

        autoLoad: true,
        // autoCommit: true,
        // autoSync: true,
        
        data: [
            { "id": 30, "resourceId": 5, "eventId": 30 }, 
            { "id": 28, "resourceId": 3, "eventId": 28 }, 
            { "id": 27, "resourceId": 7, "eventId": 27 }, 
            { "id": 26, "resourceId": 1, "eventId": 26 }, 
            { "id": 25, "resourceId": 2, "eventId": 25 }, 
            { "id": 24, "resourceId": 2, "eventId": 24 }, 
            { "id": 23, "resourceId": 4, "eventId": 23 }, 
            { "id": 22, "resourceId": 5, "eventId": 22 }, 
            { "id": 21, "resourceId": 6, "eventId": 21 }, 
            { "id": 20, "resourceId": 2, "eventId": 20 }, 
            { "id": 19, "resourceId": 1, "eventId": 19 }, 
            { "id": 18, "resourceId": 1, "eventId": 18 }, 
            { "id": 17, "resourceId": 7, "eventId": 17 }, 
            { "id": 16, "resourceId": 3, "eventId": 16 }, 
            { "id": 15, "resourceId": 3, "eventId": 15 }, 
            { "id": 14, "resourceId": 6, "eventId": 14 }, 
            { "id": 13, "resourceId": 7, "eventId": 13 }, 
            { "id": 12, "resourceId": 4, "eventId": 12 }, 
            { "id": 11, "resourceId": 7, "eventId": 11 }, 
            { "id": 10, "resourceId": 6, "eventId": 10 }, 
            { "id": 9, "resourceId": 1, "eventId": 9 }, 
            { "id": 8, "resourceId": 7, "eventId": 8 }, 
            { "id": 7, "resourceId": 2, "eventId": 7 }, 
            { "id": 6, "resourceId": 2, "eventId": 6 }, 
            { "id": 5, "resourceId": 1, "eventId": 5 }, 
            { "id": 4, "resourceId": 2, "eventId": 4 }, 
            { "id": 3, "resourceId": 1, "eventId": 3 }, 
            { "id": 2, "resourceId": 4, "eventId": 2 }, 
            { "id": 1, "resourceId": 5, "eventId": 1 }, 
        ]
    });

    return assignmentStore;
}