

// example http://192.168.1.115
export const URL_BASE = "http://127.0.0.1:7532";
// export const URL_BASE = "http://127.0.0.1:8000";

export class ApiRequestService {
    constructor() {

    }

    
    static async callapi(HTTP_METHOD, url, jsonpayload = null) {
        let promise = new Promise((resolve, reject) => {
            if (url.startsWith("/")) {
                url = url.slice(1);
            }
            _callapi(HTTP_METHOD, url, jsonpayload = null).then(
                (res$) => {
                    resolve(res$);
                }
            );
        });

        return await promise;
    }

    
}

let _callapi = async (http_method, url, jsonpayload = null) => {
    let _promise = new Promise((_resolve, _reject) => {
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
            if (this.readyState == 4 && this.status == 200) {
                _resolve(JSON.parse(this.responseText));
            }
        }

        xhttp.open(http_method, _urlbase + "/" + url, true)
        xhttp.setRequestHeader("Content-type", "application/json");
        xhttp.send(JSON.stringify(jsonpayload));

            
    });

    return await _promise;

}