import { EventStore } from "@bryntum/schedulerpro";
import { URL_BASE } from "../services/apiRequestService";

export function getSkdEventStore() {

    let eventStore = new EventStore({

        autoLoad: true,
        autoCommit: true,
        autoSync: true,

        data: [
            { "id": 30, "name": " - 38", "startDate": "2023-01-31T15:45", "endDate": "2023-01-31T22:07" }, 
            { "id": 28, "name": " - 39", "startDate": "2023-01-30T20:39", "endDate": "2023-01-31T06:09" }, 
            { "id": 27, "name": " - 38", "startDate": "2023-01-30T15:18", "endDate": "2023-01-30T20:39" }, 
            { "id": 26, "name": " - 37", "startDate": "2023-01-30T09:24", "endDate": "2023-01-30T15:18" }, 
            { "id": 25, "name": " - 39", "startDate": "2023-01-27T22:53", "endDate": "2023-01-30T09:24" }, 
            { "id": 24, "name": " - 31", "startDate": "2023-01-27T16:40", "endDate": "2023-01-27T22:53" }, 
            { "id": 23, "name": " - 32", "startDate": "2023-01-27T08:32", "endDate": "2023-01-27T16:40" }, 
            { "id": 22, "name": " - 33", "startDate": "2023-01-27T00:19", "endDate": "2023-01-27T08:32" }, 
            { "id": 21, "name": " - 20", "startDate": "2023-01-26T16:54", "endDate": "2023-01-27T00:19" }, 
            { "id": 20, "name": " - 19", "startDate": "2023-01-26T08:52", "endDate": "2023-01-26T16:54" }, 
            { "id": 19, "name": " - 21", "startDate": "2023-01-26T03:51", "endDate": "2023-01-26T08:52" }, 
            { "id": 18, "name": " - 38", "startDate": "2023-01-25T19:15", "endDate": "2023-01-26T03:51" },
            { "id": 17, "name": " - 37", "startDate": "2023-01-25T10:13", "endDate": "2023-01-25T19:15" },
            { "id": 16, "name": " - 39", "startDate": "2023-01-25T03:32", "endDate": "2023-01-25T10:13" }, 
            { "id": 15, "name": " - 31", "startDate": "2023-01-24T19:42", "endDate": "2023-01-25T03:32" }, 
            { "id": 14, "name": " - 32", "startDate": "2023-01-24T10:23", "endDate": "2023-01-24T19:42" }, 
            { "id": 13, "name": " - 33", "startDate": "2023-01-24T02:00", "endDate": "2023-01-24T10:23" }, 
            { "id": 12, "name": " - 38", "startDate": "2023-01-23T18:03", "endDate": "2023-01-24T02:00" }, 
            { "id": 11, "name": " - 37", "startDate": "2023-01-23T11:38", "endDate": "2023-01-23T18:03" }, 
            { "id": 10, "name": " - 39", "startDate": "2023-01-23T03:37", "endDate": "2023-01-23T11:38" }, 
            { "id": 9, "name": " - 38", "startDate": "2023-01-20T20:01", "endDate": "2023-01-23T03:37" }, 
            { "id": 8, "name": " - 37", "startDate": "2023-01-20T11:33", "endDate": "2023-01-20T20:01" }, 
            { "id": 7, "name": " - 39", "startDate": "2023-01-20T05:29", "endDate": "2023-01-20T11:33" }, 
            { "id": 6, "name": " - 31", "startDate": "2023-01-19T19:06", "endDate": "2023-01-20T05:29" }, 
            { "id": 5, "name": " - 32", "startDate": "2023-01-19T08:39", "endDate": "2023-01-19T19:06" }, 
            { "id": 4, "name": " - 33", "startDate": "2023-01-19T00:42", "endDate": "2023-01-19T08:39" }, 
            { "id": 3, "name": " - 38", "startDate": "2023-01-18T14:47", "endDate": "2023-01-19T00:42" }, 
            { "id": 2, "name": " - 37", "startDate": "2023-01-18T06:20", "endDate": "2023-01-18T14:47" }, 
            { "id": 1, "name": " - 39", "startDate": "2023-01-18T00:00", "endDate": "2023-01-18T06:20" }, 
        ]
    });

    return eventStore;
}